#include <stdio.h>
#include "dxlib2.h"

void main (void) {
  int i;
  UCHAR led;
  DXDEVICEID  dev;
  TDxErrorCode  err;

  if ((dev = DX_OpenPort ("\\\\.\\COM11", 57143))) {
    printf("Open success\n");

    if (DX_Ping (dev, 1, 100, &err)) {
      // 10回繰り返す
      for (i = 0; i < 10; i++) {
        // LEDの状態を読み出し
        if (DX_ReadByteData (dev, 1, 25, &led, 100, &err))  printf("Read success [%d]\n", led);
        else                                                printf("Read error\n");
        // 読み出したLEDの状態を反転して書き込み
        led ^= 1;
        if (DX_WriteByteData (dev, 1, 25, led, 100, &err))  printf("Write success [%d]\n", led);
        else                                                printf("Write error\n");

        // 0.5秒待ち
        Sleep (500);
      }
    }

    DX_ClosePort(dev);

  } else {
    printf("Open error\n");
  }
  printf( "Fin\n");
  getchar();
}
